Create a new public folder
POST
/domains/{domainID}/folders
const url = 'https://example.com/api/v1/domains/1/folders';const options = { method: 'POST', headers: { cookie: 'grommunioAuthJwt=<grommunioAuthJwt>', 'Content-Type': 'application/json' }, body: '{"displayname":"example","container":"IPF.Note","comment":"example","parentID":"0","syncToMobile":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/domains/1/folders \ --header 'Content-Type: application/json' \ --cookie grommunioAuthJwt=<grommunioAuthJwt> \ --data '{ "displayname": "example", "container": "IPF.Note", "comment": "example", "parentID": "0", "syncToMobile": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”domainID
required
integer
ID of the domain
Header Parameters
Section titled “Header Parameters”X-Csrf-Token
string
CSRF Token
Request Body
Section titled “Request Body”Media typeapplication/json
object
displayname
required
Name of the folder
string
container
required
Container class
string
comment
required
string
parentID
ID of the parent folder
string
syncToMobile
boolean
Responses
Section titled “ Responses ”Folder creation successful
Media typeapplication/json
object
folderid
string
displayname
string
comment
string
creationtime
Date string with time
string
container
string
syncToMobile
boolean
Examplegenerated
{ "folderid": "example", "displayname": "example", "comment": "example", "creationtime": "example", "container": "example", "syncToMobile": true}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}The requested resource could not be found
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}